Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Schema Service
- Get identity information for all available schema
Adds a schema to the schema repository with status INTERNAL.
Updates/Creates a schema in DEVELOPMENT status with INTERNAL scope
Gets schema from the schema repository.
Get identity information...
The API returns a list of all schemas in the specific {data-partition-Id} and the list of available shared schemas in chronological order based on "dateCreated". If filter criteria is specific then the schemas matching the criteria will be returned. If "latestestVersion=true", then result will only contain the latest version of the schema for a given Authority, Source & Entity. Required roles 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'
Security
bearer
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/schema-service/v1/schema
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/schema-service/v1/schema
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-schema-service/schema
curl -i -X GET \
'https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schema?authority=osdu&source=wks&entityType=wellbore&schemaVersionMajor=string&schemaVersionMinor=string&schemaVersionPatch=string&status=PUBLISHED&scope=SHARED&latestVersion=true&limit=10&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'data-partition-id: string'Successful response
schemaInfosArray of objects(Schema Info)
Response
{ "schemaInfos": [ { … } ], "offset": 0, "count": 0, "totalCount": 0 }